Debian Bug report logs - #6518
'can't load library libX*'

version graph

Package: xlib6; Maintainer for xlib6 is (unknown);

Reported by: neal@well.com (Neal Stephenson)

Date: Fri, 10 Jan 1997 21:03:09 UTC

Severity: normal

Found in version 3.2-1a

Done: unknown

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Early <sde1000@debian.org>:
Bug#6518; Package xlib6. Full text and rfc822 format available.

Acknowledgement sent to neal@well.com (Neal Stephenson):
New bug report received and forwarded. Copy sent to Stephen Early <sde1000@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: neal@well.com (Neal Stephenson)
To: submit@bugs.debian.org
Subject: 'can't load library libX*'
Date: Fri, 10 Jan 1997 13:04:14 -0800
Package: xlib6
Version: 3.2-1a

Linux version: 2.0.27

Distribution: Debian 1.2, dated 14 December 1996.

Hardware: a fairly generic new Pentium motherboard; 32 MB RAM, 16 MB swap,
IDE hard drive and CD-ROM.

Caveat #1: This must be a well-known bug, but I have looked through the
FAQs and the bug archive and not found anything that fixes the problem. I
am sorry if I am being a lamer by posting this.

Caveat #2: I could also have posted this under xbase 3.2-1.1, texbin
3.1415-5, fvwm 1.24r-25, fvwm2 2.0.43-BETA-0, xcolors 1.5-2, or probably
other places, but I think that this is the right place to post it.

The Problem:

I am doing a clean install of Debian 1.2 from an iConnect CD-ROM that was
mastered on 14 December 1996. Most of the system has been installed without
trouble and I have it up and running, including X Windows with the twm
window manager. But there is a whole family or species of problems that
manifests itself in various places with error messages of the form 'can't
load library libX*'.

Examples:

** When I try to run fvwm or fvwm2, the X session dies immediately and
gives me a message in .xsession-errors saying 'can't load library
libXpm.so.4.'

** when I start X under twm and try to run xcolors, I get "xcolors: can't
load library 'libXmu.so.6.'"

** when I try to install TeX using dselect, I get the following error
message during post-installation:

----------------------

Setting up texbin (3.1415-5) ...
kpathsea: Running MakeTeXTFM manfnt.tfm
Running MakeTeXPK manfnt.tfm
mf \mode:=nullmode; mag:=1; scrollmode; input manfnt \</dev/null
mf: can't load library 'libXt.so.6'
Metafont failed for some reason on manfnt.tfm
kpathsea: Appending font creation commands to missfont.log.
dpkg: error processing texbin (--install):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 texbin

installation script returned error exit status 1.

-------------------------------

all of these messages come up despite the fact that my /usr/X11R6/lib
directory contains links named libXpm.so.4, libXmu.so.6, and libXt.so.6
which point to the current versions of these libraries (e.g. libXpm.so.4 ->
libXpm.so.4.7)

I have installed xcompat.

I browsed the bug archives and discovered some discussion of the fact that
in Debian 1.2, /etc/ld.so.conf does not contain a line '/usr/X11R6/lib'
Thinking that this must be the answer to my problem I put such a line into
that file and rebooted. This had no effect whatever on the problem.

I understand that Debian is a free system put together by volunteers and so
I'm not expecting miracles here, but I wiped my existing (Slackware-based)
Linux partition clean in order to switch over to Debian, and now I am stuck
with something that can't even install TeX without breaking. This is a
serious obstacle to my getting any productive work done. I'm guessing, and
hoping, that there is a reasonably simple remedy for this problem, and I
apologize if it has already been posted somewhere and I have failed to find
it.




Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Early <sde1000@debian.org>:
Bug#6518; Package xlib6. Full text and rfc822 format available.

Acknowledgement sent to Galen Hazelwood <galenh@micron.net>:
Extra info received and forwarded to list. Copy sent to Stephen Early <sde1000@debian.org>. Full text and rfc822 format available.

Message #10 received at 6518@bugs.debian.org (full text, mbox):

From: Galen Hazelwood <galenh@micron.net>
To: Neal Stephenson <neal@well.com>, 6518@bugs.debian.org
Subject: Re: Bug#6518: 'can't load library libX*'
Date: Fri, 10 Jan 1997 22:26:59 -0700
Neal Stephenson wrote:
> 
> Package: xlib6
> Version: 3.2-1a
[snip]
> I browsed the bug archives and discovered some discussion of the fact that
> in Debian 1.2, /etc/ld.so.conf does not contain a line '/usr/X11R6/lib'
> Thinking that this must be the answer to my problem I put such a line into
> that file and rebooted. This had no effect whatever on the problem.

Rebooting isn't enough.  You need to re-run /sbin/ldconfig, because
it dosen't get re-run at boot time.  (Why should it?)  A lot of people
were bitten by this bug.  I'm not sure if the 3.2-2 version of the
X packages are in stable or not, but you might want to install them
anyway.

This is just my two-bit suggestion.  If it works, great.  If not,
at least I tried.

--Galen

(You wouldn't happen to be the author of "Snow Crash" and "The
Diamond Age", would you?  If so, I love your work.  If not,
well, never mind.)


Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Early <sde1000@debian.org>:
Bug#6518; Package xlib6. Full text and rfc822 format available.

Acknowledgement sent to Stephen Early <steve@myrddin.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Stephen Early <sde1000@debian.org>. Full text and rfc822 format available.

Message #15 received at 6518@bugs.debian.org (full text, mbox):

From: Stephen Early <steve@myrddin.greenend.org.uk>
To: neal@well.com (Neal Stephenson), 6518@bugs.debian.org
Subject: Bug#6518: 'can't load library libX*'
Date: Sat, 11 Jan 97 03:31 GMT
Neal Stephenson writes:
 > I browsed the bug archives and discovered some discussion of the fact that
 > in Debian 1.2, /etc/ld.so.conf does not contain a line '/usr/X11R6/lib'
 > Thinking that this must be the answer to my problem I put such a line into
 > that file and rebooted. This had no effect whatever on the problem.

Now that you have added /usr/X11R6/lib to /etc/ld.so.conf, type the
command 'ldconfig' as root. You should then be able to run these
programs.

You can use dpkg --audit to find out which packages are broken, and
dpkg --configure --pending to try to complete the configuration. Some
packages may need re-installing; dpkg will tell you if this is the
case.

Sorry about the problem with ld.so.conf; it only came to light after
the first release of the XFree86-3.2 packages was released. It is
corrected in XFree86-3.2-2.

Steve Early


Information forwarded to debian-bugs-dist@lists.debian.org, Mark Eichin <eichin@kitten.gen.ma.us>:
Bug#6518; Package xlib6. Full text and rfc822 format available.

Acknowledgement sent to "Mark W. Eichin" <eichin@kitten.gen.ma.us>:
Extra info received and forwarded to list. Copy sent to Mark Eichin <eichin@kitten.gen.ma.us>. Full text and rfc822 format available.

Message #20 received at 6518@bugs.debian.org (full text, mbox):

From: "Mark W. Eichin" <eichin@kitten.gen.ma.us>
To: 6518@bugs.debian.org
Subject: 'can't load library libX*'
Date: Sun, 4 May 1997 16:08:36 -0400
Steve, as reported, fixed this problem in 3.2-2; did that work for
you? If so, I can close the bug report.  Thanks for your patience.
			_Mark_ <eichin@kitten.gen.ma.us>
			The Herd of Kittens
			Debian X Maintainer


Information forwarded to eichin@kitten.gen.ma.us (Mark W. Eichin):
Bug#6518; Package xlib6. Full text and rfc822 format available.

Acknowledgement sent to rjs@lloke.dna.fi (Riku Saikkonen):
Extra info received and forwarded to maintainer. Copy sent to eichin@kitten.gen.ma.us (Mark W. Eichin). Full text and rfc822 format available.

Message #25 received at 6518-maintonly@bugs.debian.org (full text, mbox):

From: rjs@lloke.dna.fi (Riku Saikkonen)
To: 6518-maintonly@bugs.debian.org
Subject: An old bug fixed
Date: Mon, 14 Jul 1997 03:17:22 +0300
This seems to be the same bug as #6384, and I think it indeed was fixed
during Debian 1.2. If you agree, please close this bug too...

--
-=- Rjs -=- rjs@spider.compart.fi, rjs@lloke.dna.fi


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:48:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.